package gov.va.med.esr.service.external.person;

import java.util.Date;


import gov.va.med.esr.common.infra.ImpreciseDate;
import gov.va.med.esr.service.external.ExternalComponent;

public class EmploymentInfo extends ExternalComponent {


	private static final long serialVersionUID = -564404963564859280L;
	// ZEM/3/Z05
	private String employmentStatus = null;
	//ZEM/5/Z05
    private String occupation = null;
    //ZEM/3/Z05
    private String employerName = null;
    //ZEM/6/Z05
    private AddressInfo employerAddress = null;
    // ZEM/7/Z05
    private String employerPhone = null;
    //ZEM/9/Z05
   // CCR 10673
    private String retirementDate = null;
    
    public String getEmploymentStatus() {
        return this.employmentStatus;
    }

     public void setEmploymentStatus(String employmentStatus) {
        this.employmentStatus = employmentStatus;
     }

     public String getOccupation() {
         return occupation;
     }

     public void setOccupation(String occupation) {
         this.occupation = occupation;
     }
     
     public String getEmployerName() {
         return employerName;
     }

     public void setEmployerName(String employerName) {
         this.employerName = employerName;
     }
     
     public AddressInfo getEmployerAddress()
     {
         return employerAddress;
     }

     public void setEmployerAddress(AddressInfo employerAddress)
     {
         this.employerAddress = employerAddress;
     }
     
     public String getEmployerPhone()
     {
         return employerPhone;
     }

     public void setEmployerPhone(String employerPhone)
     {
         this.employerPhone = employerPhone;
     }

     // CCR 10673
     public String getRetirementDate() {
         return retirementDate;
     }

     public void setRetirementDate(String retirementDate) {
         this.retirementDate = retirementDate;
     }
}
